package com.inspect.patrol.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.inspect.base.core.web.domain.BaseEntity;
import lombok.Getter;

@Getter
public class CameraVo extends BaseEntity {
    @JsonProperty("eqpbookId")
    private String eqpBookId;
    private String areaId;
    private String channelCode;
    private String channelName;
    private String channelId;
    @JsonProperty("patroldeviceCode")
    private String patrolDeviceCode;
    @JsonProperty("patroldeviceName")
    private String patrolDeviceName;
    private String name;
    private String useMode;
    private String id;
    private String parentId;
    private String status = "0";

    public void setStatus(String status) {
        this.status = status;
    }

    public void setChannelName(String channelName) {
        this.name = this.channelName = channelName;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public void setEqpBookId(String eqpBookId) {
        this.eqpBookId = eqpBookId;
    }

    public void setUseMode(String useMode) {
        this.useMode = useMode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.patrolDeviceCode = patrolDeviceCode;
    }

    public void setPatrolDeviceName(String patrolDeviceName) {
        this.patrolDeviceName = patrolDeviceName;
    }

    public void setName(String name) {
        this.name = name;
    }
}
